import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/cyzh-person/psychiatric/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/cyzh-person/psychiatric/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/cyzh-person/psychiatric/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/cyzh-person/psychiatric/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/cyzh-person/psychiatric/submit',
    method: 'post',
    data: row
  })
}

export const addPsychiatric = (list) => {
  return request({
    url: '/api/cyzh-person/psychiatric/addPsychiatric',
    method: 'post',
    data: list
  })
}

export const generatedetail = (id) => {
  return request({
    url: '/api/cyzh-person/psychiatric/generatedetail',
    method: 'get',
    params: {
      id
    }
  })
}
